Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ch.uzh.ifi.attempto.preditor.text
Interface TextElement

All Known Subinterfaces:
  OntologyTextElement, RefableTextElement

All Known Implementing Classes:
  BasicTextElement, NounTextElement, RefTextElement, VarTextElement

    public interface TextElement

This interface describes a text element (a word or phrase) that is used by the predictive editor. Every text element contains a text and a grammatical category.

Author:
  Tobias Kuhn

Method Summary
`void` | `checkNeighborTextElements(TextElement precedingTextElement, TextElement nextTextElement)` Checks the preceding and next text element.
`boolean` | `equals(java.lang.Object obj)`
`java.lang.String` | `getCategory()` Returns the grammatical category of this text element.
`java.lang.String` | `getText()` Returns the text of this text element.

Method Detail

### getText

    java.lang.String getText()

  Returns the text of this text element.

  Returns:
    The text.

### getCategory

    java.lang.String getCategory()

  Returns the grammatical category of this text element.

  Returns:
    The grammatical category.

### checkNeighborTextElements

    void checkNeighborTextElements(TextElement precedingTextElement,
                                   TextElement nextTextElement)

  Checks the preceding and next text element. This is needed for words that change their form depending on the context, e.g. for capitalization or for the indefinite article "a"/"an".

  Parameters:
    `precedingTextElement` -

### equals

    boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2008, Attempto Group, University of Zurich (see http://attempto.ifi.uzh.ch)